#include <bits/stdc++.h>

using namespace std;
int main() 
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);cout.tie(0);
	int n,k,niz[20000];
	cin>>n>>k;
	for(int i=0;i<n;i++)
	{
		cin>>niz[i];
	}
	for(int i=0;i<n;i++)
	{
		if(niz[i]==k)
		{
			if(i==n-1)
			{
				cout<<niz[0];
			}
			else
			{
				cout<<niz[i+1];
			}
			return 0;
		}
	}
	return 0;
}